Skip to main content
POST
Create a draft

Authorizations

Authorization
string
header
required

Conductor API token, sent as Bearer <your-api-token>. Generate a token from Integrations > API > Create API Token.

Path Parameters

accountId
integer
required

Account identifier

Body

application/json
draftTitle
string
required

Draft title. (Note: not your page's title tag)

rankSourceId
integer
required

Rank source identifier.

id
string<uuid>

Client-supplied draft identifier. If omitted, one is generated.

phrases
string[]

Target keyword phrases the draft is optimized for.

page
string

Existing page to optimize in your draft.

webPropertyId
integer

Web property identifier.

title
string
metaDescription
string
bodyCopy
string

The body copy / main text content of the draft.

competitorUrls
string<uri>[]

Competitor URLs used to generate insights from for this draft.

contentProfileId
string<uuid>

Content Profile identifier.

referenceDocumentIds
string<uuid>[]

Reference Document identifiers.

Response

Draft created

accountId
integer

Account identifier.

id
string<uuid>

Draft identifier

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

draftTitle
string

Draft title. (Note: not your page's title tag)

phrases
string[]

Target keyword phrases the draft is optimized for.

page
string

Existing page to optimize in your draft.

rankSourceId
integer

Rank source identifier.

webPropertyId
integer

Web property identifier.

versionId
string

Identifier of the specific draft version.

title
string
metaDescription
string
bodyCopy
string

The body copy / main text content of the draft.

created
string<date-time>

created timestamp

Example:

"2026-06-28T23:19:03.026-04:00"

createdBy
integer
updated
string<date-time>

last updated timestamp

Example:

"2026-06-28T23:19:03.026-04:00"

updatedBy
integer

User id of the last user to make an update.

assignee
integer

User id of the user assigned to this draft.

status
enum<string>

Draft status.

Available options:
TO_DO,
IN_PROGRESS,
IN_REVIEW,
APPROVED,
PUBLISHED
competitorUrls
string[]

Competitor URLs used to generate insights from for this draft.

contentProfileId
string<uuid>

Content Profile identifier.